<?php

namespace Planaday\Html\NodeTags\Course\ListShortcode;

use Planaday\Config\OptionGroupEnum;

enum CourseListShortcodeSettingsEnum: string implements OptionGroupEnum {
	case Start = 'start';
	case End = 'end';
	case Limit = 'limit';
	case SearchBehaviour = 'searchBehaviour';
	case NoSearchText = 'noSearchText';
	case NoResultsText = 'noResultsText';
	case Labels = 'labels';
	case TemplateId = 'templateId';
	case Companies = 'companies';
	case Cities = 'cities';
	case ShowInCompanyCourses = 'showInCompanyCourses';
	case NoCoursesText = 'noCoursesText';
	case IncludeFullCourses = 'includeFullCourses';
	case IncludePartiallyPassedCourses = 'includePartiallyPassedCourses';

	public static function getClassName(): string {
		return CourseListShortcodeSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}
